| API Docs for SAX and DOM |

Main Page | Class Hierarchy | Alphabetical List | Class List | Directories | File List | Class Members | File Members | Related Pages

# XMLDOMMsg Class Reference

List of all members.

## Public Types

enum

Codes {
NoError = 0, F_LowBounds = 1, DOMEXCEPTION_ERRX = 2, INDEX_SIZE_ERR = 3,
DOMSTRING_SIZE_ERR = 4, HIERARCHY_REQUEST_ERR = 5, WRONG_DOCUMENT_ERR = 6, INVALID_CHARACTER_ERR = 7,
NO_DATA_ALLOWED_ERR = 8, NO_MODIFICATION_ALLOWED_ERR = 9, NOT_FOUND_ERR = 10, NOT_SUPPORTED_ERR = 11,
INUSE_ATTRIBUTE_ERR = 12, INVALID_STATE_ERR = 13, SYNTAX_ERR = 14, INVALID_MODIFICATION_ERR = 15,
NAMESPACE_ERR = 16, INVALID_ACCESS_ERR = 17, VALIDATION_ERR = 18, DOMRANGEEXCEPTION_ERRX = 19,
BAD_BOUNDARYPOINTS_ERR = 20, INVALID_NODE_TYPE_ERR = 21, Writer_NestedCDATA = 22, Writer_NotRepresentChar = 23,
Writer_NotRecognizedType = 24, F_HighBounds = 25, W_LowBounds = 26, W_HighBounds = 27,
E_LowBounds = 28, E_HighBounds = 29
}

## Static Public Member Functions

static bool | isFatal (const XMLDOMMsg::Codes toCheck)
static bool | isWarning (const XMLDOMMsg::Codes toCheck)
static bool | isError (const XMLDOMMsg::Codes toCheck)
static XMLErrorReporter::ErrTypes | errorType (const XMLDOMMsg::Codes toCheck)
static DOMError::ErrorSeverity | DOMErrorType (const XMLDOMMsg::Codes toCheck)

## Member Enumeration Documentation

enum XMLDOMMsg::Codes

Enumeration values:

  NoError |
  F_LowBounds |
  DOMEXCEPTION_ERRX |
  INDEX_SIZE_ERR |
  DOMSTRING_SIZE_ERR |
  HIERARCHY_REQUEST_ERR |
  WRONG_DOCUMENT_ERR |
  INVALID_CHARACTER_ERR |
  NO_DATA_ALLOWED_ERR |
  NO_MODIFICATION_ALLOWED_ERR |
  NOT_FOUND_ERR |
  NOT_SUPPORTED_ERR |
  INUSE_ATTRIBUTE_ERR |
  INVALID_STATE_ERR |
  SYNTAX_ERR |
  INVALID_MODIFICATION_ERR |
  NAMESPACE_ERR |
  INVALID_ACCESS_ERR |
  VALIDATION_ERR |
  DOMRANGEEXCEPTION_ERRX |
  BAD_BOUNDARYPOINTS_ERR |
  INVALID_NODE_TYPE_ERR |
  Writer_NestedCDATA |
  Writer_NotRepresentChar |
  Writer_NotRecognizedType |
  F_HighBounds |
  W_LowBounds |
  W_HighBounds |
  E_LowBounds |
  E_HighBounds |

## Member Function Documentation

static DOMError::ErrorSeverity XMLDOMMsg::DOMErrorType | ( | const XMLDOMMsg::Codes | toCheck | ) | `[static]`

static XMLErrorReporter::ErrTypes XMLDOMMsg::errorType | ( | const XMLDOMMsg::Codes | toCheck | ) | `[static]`

static bool XMLDOMMsg::isError | ( | const XMLDOMMsg::Codes | toCheck | ) | `[static]`

static bool XMLDOMMsg::isFatal | ( | const XMLDOMMsg::Codes | toCheck | ) | `[static]`

static bool XMLDOMMsg::isWarning | ( | const XMLDOMMsg::Codes | toCheck | ) | `[static]`

The documentation for this class was generated from the following file:

- XMLDOMMsg.hpp

Copyright © 1994-2004 The Apache Software Foundation. All Rights Reserved.